Skip to content
Start here

Create a new domain ACL

client.ZeroTrust.CWS.DomainACLs.New(ctx, params) (*DomainACL, error)
POST/accounts/{account_id}/cws/domain-acls

Creates a domain access control list with its default action and entries.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params CWSDomainACLNewParams
AccountID param.Field[string]

Path param: Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
DefaultAction param.Field[CWSDomainACLNewParamsDefaultAction]

Body param: Default action when no entry matches

const CWSDomainACLNewParamsDefaultActionAllow CWSDomainACLNewParamsDefaultAction = "ALLOW"
const CWSDomainACLNewParamsDefaultActionBlock CWSDomainACLNewParamsDefaultAction = "BLOCK"
Entries param.Field[[]CWSDomainACLNewParamsEntry]

Body param: Domain entries for this ACL. Each domain must appear at most once.

Action CWSDomainACLNewParamsEntriesAction

Per-domain decision overriding the parent ACL’s default_action

One of the following:
const CWSDomainACLNewParamsEntriesActionAllow CWSDomainACLNewParamsEntriesAction = "ALLOW"
const CWSDomainACLNewParamsEntriesActionBlock CWSDomainACLNewParamsEntriesAction = "BLOCK"
Domain string

Hostname or domain pattern, capped at 255 UTF-8 bytes

maxLength255
minLength1
Name param.Field[string]

Body param: Name of the domain ACL

maxLength100
minLength1
ReturnsExpand Collapse
type DomainACL struct{…}
ID string

Server-assigned UUID

formatuuid
CreatedAt Time
formatdate-time
DefaultAction DomainACLDefaultAction

Action applied when no entry matches the request domain

One of the following:
const DomainACLDefaultActionAllow DomainACLDefaultAction = "ALLOW"
const DomainACLDefaultActionBlock DomainACLDefaultAction = "BLOCK"
Entries []DomainACLEntry

Per-domain action overrides. Each domain appears at most once.

Action DomainACLEntriesAction

Per-domain decision overriding the parent ACL’s default_action

One of the following:
const DomainACLEntriesActionAllow DomainACLEntriesAction = "ALLOW"
const DomainACLEntriesActionBlock DomainACLEntriesAction = "BLOCK"
Domain string

Hostname or domain pattern, capped at 255 UTF-8 bytes

maxLength255
minLength1
Name string

Human-readable name; unique per account

maxLength100
minLength1
UpdatedAt Time
formatdate-time

Create a new domain ACL

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  domainACL, err := client.ZeroTrust.CWS.DomainACLs.New(context.TODO(), zero_trust.CWSDomainACLNewParams{
    AccountID: cloudflare.F("xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"),
    DefaultAction: cloudflare.F(zero_trust.CWSDomainACLNewParamsDefaultActionAllow),
    Entries: cloudflare.F([]zero_trust.CWSDomainACLNewParamsEntry{zero_trust.CWSDomainACLNewParamsEntry{
      Action: cloudflare.F(zero_trust.CWSDomainACLNewParamsEntriesActionAllow),
      Domain: cloudflare.F("x"),
    }}),
    Name: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", domainACL.ID)
}
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "default_action": "ALLOW",
    "entries": [
      {
        "action": "ALLOW",
        "domain": "x"
      }
    ],
    "name": "x",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "default_action": "ALLOW",
    "entries": [
      {
        "action": "ALLOW",
        "domain": "x"
      }
    ],
    "name": "x",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}